OpenTTD Source: LeagueTable Struct Reference

OpenTTD Source 15.3

Public Member Functions | Data Fields
LeagueTable Struct Reference

Struct about custom league tables. More...

`#include <league_base.h>`

Inheritance diagram for LeagueTable:

## Public Member Functions
| LeagueTable ()
| We need an (empty) constructor so struct isn't zeroed (as C++ standard states)
| LeagueTable (const EncodedString &title, const EncodedString &header, const EncodedString &footer)
| ~LeagueTable ()
| (Empty) destructor has to be defined else operator delete might be called with nullptr parameter
Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_league_table_pool >
void * | operator new (size_t size)
| Allocates space for new Titem.
void * | operator new (size_t size, Tindex index)
| Allocates space for new Titem with given index.
void * | operator new (size_t, void *ptr)
| Allocates space for new Titem at given memory address.
void | operator delete (void *p, size_t size)
| Marks Titem as free.

## Data Fields
EncodedString | title {}
| Title of the table.
EncodedString | header {}
| Text to show above the table.
EncodedString | footer {}
| Text to show below the table.
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_league_table_pool >
Tindex | index
| Index of this pool item.

## Additional Inherited Members
Public Types inherited from Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_league_table_pool >
typedef struct Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache > | Pool
| Type of the pool this item is going to be part of.
Static Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem<&_league_table_pool >
static bool | CanAllocateItem (size_t n=1)
| Helper functions so we can use PoolItem::Function() instead of _poolitem_pool.Function()
static bool | CleaningPool ()
| Returns current state of pool cleaning - yes or no.
static bool | IsValidID (auto index)
| Tests whether given index can be used to get valid (non-nullptr) Titem.
static Titem * | Get (auto index)
| Returns Titem with given index.
static Titem * | GetIfValid (auto index)
| Returns Titem with given index.
static size_t | GetPoolSize ()
| Returns first unused index.
static size_t | GetNumItems ()
| Returns number of valid items in the pool.
static void | PostDestructor (size_t index)
| Dummy function called after destructor of each member.
static Pool::IterateWrapper< Titem > | Iterate (size_t from=0)
| Returns an iterable ensemble of all valid Titem.

## Detailed Description

Struct about custom league tables.

Definition at line 55 of file league_base.h.

## Constructor & Destructor Documentation

## ◆ LeagueTable() [1/2]

LeagueTable::LeagueTable | ( |  | ) |
| inline

We need an (empty) constructor so struct isn't zeroed (as C++ standard states)

Definition at line 63 of file league_base.h.

## ◆ LeagueTable() [2/2]

LeagueTable::LeagueTable | ( | const EncodedString & | title,
|  | const EncodedString & | header,
|  | const EncodedString & | footer
| ) |  |
| inline

Definition at line 64 of file league_base.h.

## ◆ ~LeagueTable()

LeagueTable::~LeagueTable | ( |  | ) |
| inline

(Empty) destructor has to be defined else operator delete might be called with nullptr parameter

Definition at line 69 of file league_base.h.

## Field Documentation

## ◆ footer

EncodedString LeagueTable::footer {}

Text to show below the table.

Definition at line 58 of file league_base.h.

Referenced by ScriptLeagueWindow::DrawWidget(), and ScriptLeagueWindow::UpdateWidgetSize().

## ◆ header

EncodedString LeagueTable::header {}

Text to show above the table.

Definition at line 57 of file league_base.h.

Referenced by ScriptLeagueWindow::DrawWidget(), and ScriptLeagueWindow::UpdateWidgetSize().

## ◆ title

EncodedString LeagueTable::title {}

Title of the table.

Definition at line 56 of file league_base.h.

Referenced by ScriptLeagueWindow::BuildTable().

The documentation for this struct was generated from the following file:

- src/league_base.h